www.cendio.com
Bug 5078 - set session class and type
: set session class and type
Status: CLOSED FIXED
: ThinLinc
VSM Agent
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-04-09 11:34 by
Modified: 2014-05-05 15:56 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-09 11:34:51
There are some new environment variables that are expected in modern sessions:
XDG_SESSION_CLASS and XDG_SESSION_TYPE. They are documented here:

http://www.freedesktop.org/software/systemd/man/pam_systemd.html

Fortunately they will always have the same value for us, so we can hard code
them somewhere.

They should unfortunately be set before PAM is run though, so we need to do the
work in either vsmagent or tl-session. tl-session already has some magic to
please pam_systemd, so it might be the best choice.
------- Comment #1 From cendio 2014-04-16 15:00:49 -------
Fixed in r28881. The pam_systemd in Fedora 20 hasn't been updated to look at
these, so we can't fully test this. So the tester should merely check that
these are set in the session.
------- Comment #2 From cendio 2014-04-24 15:39:14 -------
Verified using build 4332 that env was set correctly within a session.

$export | grep XDG | grep -E 'TYPE|CLASS'
declare -x XDG_SESSION_CLASS="user"
declare -x XDG_SESSION_TYPE="x11"